:root {
  --clr-primary-lime-green: hsl(163, 72%, 41%);
  --clr-primary-bright-red: hsl(356, 69%, 56%);

  --clr-primary-facebook: hsl(208, 92%, 53%);
  --clr-primary-twitter: hsl(203, 89%, 53%);
  --clr-primary-instagram: linear-gradient(
    to right,
    hsl(37, 97%, 70%),
    hsl(329, 70%, 58%)
  );
  --clr-primary-youTube: hsl(348, 97%, 39%);

  /* Light Theme */
  --clr-neutral-bg: hsl(0, 0%, 100%);
  --clr-neutral-top-bg: hsl(225, 100%, 98%);
  --clr-neutral-card-bg: hsl(227, 47%, 96%);
  --clr-neutral-text: hsl(228, 12%, 44%);
  --clr-neutral-text-200: hsl(230, 17%, 14%);

  --clr-toggle: hsl(230, 22%, 74%);
  --clr-toggle-switch: linear-gradient(hsl(146, 68%, 55%), hsl(210, 78%, 56%));

  --ff-base: "Inter", sans-serif;
  --fw-regular: 400;
  --fw-bold: 700;
  --fs-body: 0.875rem;
}
[data-theme="dark"] {
  --clr-neutral-bg: hsl(230, 17%, 14%);
  --clr-neutral-top-bg: hsl(232, 19%, 15%);
  --clr-neutral-card-bg: hsl(228, 28%, 20%);
  --clr-neutral-text: hsl(228, 34%, 66%);
  --clr-neutral-text-200: hsl(0, 0%, 100%);
}
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

body {
  font-family: var(--ff-base);
  font-size: var(--fs-body);
  font-weight: var(--fw-regular);
  /* background-color: var(--clr-neutral-bg); */
  background: linear-gradient(
    to bottom,
    var(--clr-neutral-top-bg) 20%,
    var(--clr-neutral-bg) 80%
  );

  color: var(--clr-neutral-text);
  min-height: 100vh;
}

section,
header {
  margin: 1.7rem;
}
header h2 {
  color: var(--clr-neutral-text-200);
  font-weight: var(--fw-bold);
}

.divider {
  margin: 1.5rem 0;
  /* color: var(--clr-neutral-text); */
  border-top: 0.5px solid var(--clr-neutral-text);
}
@media (min-width: 600px) {
  .divider {
    display: none;
  }
  header {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}
.mode {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
}
.switch {
  position: relative;
  display: inline-block;
  width: 3.2rem;
  height: 1.5rem;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--clr-toggle);
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  width: 20px;
  height: 20px;
  left: 4px;
  bottom: 2px;
  background-color: var(--clr-neutral-bg);
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background: var(--clr-toggle-switch);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--clr-toggle-switch);
}

input:checked + .slider:before {
  -webkit-transform: translateX(1.625rem);
  -ms-transform: translateX(1.625rem);
  transform: translateX(1.625rem);
}

/* Rounded sliders */
.slider.round {
  border-radius: 2.125rem;
}

.slider.round:before {
  border-radius: 50%;
}

.card {
  cursor: pointer;
  display: grid;
  gap: 1rem;
  text-align: center;
  background-color: var(--clr-neutral-card-bg);
  padding: 2rem;
  margin-bottom: 1rem;
  border-radius: 0.3rem;
}
@media (min-width: 600px) {
  section,
  header {
    margin: 5rem;
  }
  .wrapper-card,
  .wrapper-box {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-column-gap: 2em;
  }
}
.card--twitter {
  border-top: 4px solid var(--clr-primary-twitter);
}
.card--instagram {
  border-top: 3px solid transparent;
  background: linear-gradient(var(--clr-neutral-card-bg) 0 0) padding-box,
    var(--clr-primary-instagram) border-box;
}
.card--instagram:hover {
  background: linear-gradient(var(--clr-toggle) 0 0) padding-box,
    var(--clr-primary-instagram) border-box;
  background-color: var(--clr-toggle);
}
.card--youtube {
  border-top: 4px solid var(--clr-primary-youTube);
}
.card--facebook {
  border-top: 4px solid var(--clr-primary-facebook);
}
.card__social-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
}
.card__followers h1 {
  color: var(--clr-neutral-text-200);
  font-size: 3rem;
  font-weight: var(--fw-bold);
}
.card__followers p {
  font-size: 0.7rem;
  text-transform: uppercase;
  letter-spacing: 0.3rem;
}
.rank {
  font-size: 0.8rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.2rem;
  font-weight: var(--fw-bold);
}
.rank--up {
  color: var(--clr-primary-lime-green);
}
.rank--down {
  color: var(--clr-primary-bright-red);
}
.overview-title {
  margin: 2rem 0;
}
.box {
  cursor: pointer;
  display: grid;
  background-color: var(--clr-neutral-card-bg);
  padding: 1.5rem;
  margin-bottom: 1rem;
  border-radius: 0.3rem;
  font-weight: var(--fw-regular);
  gap: 2rem;
}
.row {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.row h4 {
  font-weight: var(--fw-bold);
  font-size: 2rem;
  color: var(--clr-neutral-text-200);
}
.box:hover,
.card:hover:not(.card--instagram) {
  background-color: var(--clr-toggle);
}
